#!/usr/bin/env python

try:
  import pygtk
  pygtk.require('2.0')
except:
  pass
try:
  import gtk
  import gtk.glade
except:
  print('GTK not available')
  sys.exit(1)

import lib.myclass as mc

class main:
  def __init__(self):
    # create an instance of the Builder
    self.builder = gtk.Builder()
    self.builder.add_from_file('lib/main.glade')
    self.builder.connect_signals(self)

    # setup the main window
    self.window = self.builder.get_object("window1")
    self.window.set_title("ComboBoxes")
    self.window.show_all()

  def on_radiobutton1_toggled(self, widget):
    if widget.get_active():
      print '1'

  def on_radiobutton2_toggled(self, widget):
    if widget.get_active():
      print '2'

  def on_window1_destroy(self, object, data=None):
    print "quit with cancel"
    gtk.main_quit()

main = main()
gtk.main()
